/*
 * (c) Copyright 2003 Object Factory Inc. All rights reserved.
 */
package org.eclipse.xswt;

import org.eclipse.swt.graphics.RGB;

/**
 * These are CSS color names supported by both Netscape and Internet Explorer.
 * <table width="50%" bgcolor="#B0C4DE">
 * <tr><td bgcolor="#FFFFFF" align="left" width="33%"><b>Name</b></td><td bgcolor="#FFFFFF" align="center" width="67%"><b>Color</b></td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">AliceBlue</td><td bgcolor="#F0F8FF">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">AntiqueWhite</td><td bgcolor="#FAEBD7">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Aqua</td><td bgcolor="#00FFFF">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Aquamarine</td><td bgcolor="#7FFFD4">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Azure</td><td bgcolor="#F0FFFF">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Beige</td><td bgcolor="#F5F5DC">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Bisque</td><td bgcolor="#FFE4C4">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Black</td><td bgcolor="#000000">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">BlanchedAlmond</td><td bgcolor="#FFEBCD">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Blue</td><td bgcolor="#0000FF">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">BlueViolet</td><td bgcolor="#8A2BE2">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Brown</td><td bgcolor="#A52A2A">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">BurlyWood</td><td bgcolor="#DEB887">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">CadetBlue</td><td bgcolor="#5F9EA0">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Chartreuse</td><td bgcolor="#7FFF00">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Chocolate</td><td bgcolor="#D2691E">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Coral</td><td bgcolor="#FF7F50">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">CornflowerBlue</td><td bgcolor="#6495ED">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Cornsilk</td><td bgcolor="#FFF8DC">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Crimson</td><td bgcolor="#DC143C">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Cyan</td><td bgcolor="#00FFFF">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkBlue</td><td bgcolor="#00008B">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkCyan</td><td bgcolor="#008B8B">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkGoldenRod</td><td bgcolor="#B8860B">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkGray</td><td bgcolor="#A9A9A9">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkGreen</td><td bgcolor="#006400">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkKhaki</td><td bgcolor="#BDB76B">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkMagenta</td><td bgcolor="#8B008B">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkOliveGreen</td><td bgcolor="#556B2F">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Darkorange</td><td bgcolor="#FF8C00">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkOrchid</td><td bgcolor="#9932CC">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkRed</td><td bgcolor="#8B0000">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkSalmon</td><td bgcolor="#E9967A">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkSeaGreen</td><td bgcolor="#8FBC8F">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkSlateBlue</td><td bgcolor="#483D8B">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkSlateGray</td><td bgcolor="#2F4F4F">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkTurquoise</td><td bgcolor="#00CED1">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DarkViolet</td><td bgcolor="#9400D3">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DeepPink</td><td bgcolor="#FF1493">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DeepSkyBlue</td><td bgcolor="#00BFFF">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DimGray</td><td bgcolor="#696969">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">DodgerBlue</td><td bgcolor="#1E90FF">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Feldspar</td><td bgcolor="#D19275">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">FireBrick</td><td bgcolor="#B22222">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">FloralWhite</td><td bgcolor="#FFFAF0">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">ForestGreen</td><td bgcolor="#228B22">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Fuchsia</td><td bgcolor="#FF00FF">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Gainsboro</td><td bgcolor="#DCDCDC">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">GhostWhite</td><td bgcolor="#F8F8FF">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Gold</td><td bgcolor="#FFD700">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">GoldenRod</td><td bgcolor="#DAA520">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Gray</td><td bgcolor="#808080">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Green</td><td bgcolor="#008000">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">GreenYellow</td><td bgcolor="#ADFF2F">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">HoneyDew</td><td bgcolor="#F0FFF0">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">HotPink</td><td bgcolor="#FF69B4">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">IndianRed </td><td bgcolor="#CD5C5C">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Indigo </td><td bgcolor="#4B0082">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Ivory</td><td bgcolor="#FFFFF0">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Khaki</td><td bgcolor="#F0E68C">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Lavender</td><td bgcolor="#E6E6FA">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LavenderBlush</td><td bgcolor="#FFF0F5">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LawnGreen</td><td bgcolor="#7CFC00">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LemonChiffon</td><td bgcolor="#FFFACD">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightBlue</td><td bgcolor="#ADD8E6">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightCoral</td><td bgcolor="#F08080">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightCyan</td><td bgcolor="#E0FFFF">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightGoldenRodYellow</td><td bgcolor="#FAFAD2">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightGrey</td><td bgcolor="#D3D3D3">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightGreen</td><td bgcolor="#90EE90">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightPink</td><td bgcolor="#FFB6C1">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightSalmon</td><td bgcolor="#FFA07A">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightSeaGreen</td><td bgcolor="#20B2AA">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightSkyBlue</td><td bgcolor="#87CEFA">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightSlateBlue</td><td bgcolor="#8470FF">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightSlateGray</td><td bgcolor="#778899">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightSteelBlue</td><td bgcolor="#B0C4DE">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LightYellow</td><td bgcolor="#FFFFE0">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Lime</td><td bgcolor="#00FF00">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">LimeGreen</td><td bgcolor="#32CD32">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Linen</td><td bgcolor="#FAF0E6">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Magenta</td><td bgcolor="#FF00FF">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Maroon</td><td bgcolor="#800000">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">MediumAquaMarine</td><td bgcolor="#66CDAA">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">MediumBlue</td><td bgcolor="#0000CD">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">MediumOrchid</td><td bgcolor="#BA55D3">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">MediumPurple</td><td bgcolor="#9370D8">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">MediumSeaGreen</td><td bgcolor="#3CB371">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">MediumSlateBlue</td><td bgcolor="#7B68EE">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">MediumSpringGreen</td><td bgcolor="#00FA9A">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">MediumTurquoise</td><td bgcolor="#48D1CC">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">MediumVioletRed</td><td bgcolor="#C71585">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">MidnightBlue</td><td bgcolor="#191970">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">MintCream</td><td bgcolor="#F5FFFA">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">MistyRose</td><td bgcolor="#FFE4E1">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Moccasin</td><td bgcolor="#FFE4B5">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">NavajoWhite</td><td bgcolor="#FFDEAD">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Navy</td><td bgcolor="#000080">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">OldLace</td><td bgcolor="#FDF5E6">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Olive</td><td bgcolor="#808000">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">OliveDrab</td><td bgcolor="#6B8E23">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Orange</td><td bgcolor="#FFA500">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">OrangeRed</td><td bgcolor="#FF4500">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Orchid</td><td bgcolor="#DA70D6">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">PaleGoldenRod</td><td bgcolor="#EEE8AA">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">PaleGreen</td><td bgcolor="#98FB98">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">PaleTurquoise</td><td bgcolor="#AFEEEE">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">PaleVioletRed</td><td bgcolor="#D87093">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">PapayaWhip</td><td bgcolor="#FFEFD5">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">PeachPuff</td><td bgcolor="#FFDAB9">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Peru</td><td bgcolor="#CD853F">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Pink</td><td bgcolor="#FFC0CB">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Plum</td><td bgcolor="#DDA0DD">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">PowderBlue</td><td bgcolor="#B0E0E6">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Purple</td><td bgcolor="#800080">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Red</td><td bgcolor="#FF0000">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">RosyBrown</td><td bgcolor="#BC8F8F">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">RoyalBlue</td><td bgcolor="#4169E1">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">SaddleBrown</td><td bgcolor="#8B4513">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Salmon</td><td bgcolor="#FA8072">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">SandyBrown</td><td bgcolor="#F4A460">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">SeaGreen</td><td bgcolor="#2E8B57">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">SeaShell</td><td bgcolor="#FFF5EE">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Sienna</td><td bgcolor="#A0522D">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Silver</td><td bgcolor="#C0C0C0">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">SkyBlue</td><td bgcolor="#87CEEB">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">SlateBlue</td><td bgcolor="#6A5ACD">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">SlateGray</td><td bgcolor="#708090">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Snow</td><td bgcolor="#FFFAFA">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">SpringGreen</td><td bgcolor="#00FF7F">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">SteelBlue</td><td bgcolor="#4682B4">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Tan</td><td bgcolor="#D2B48C">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Teal</td><td bgcolor="#008080">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Thistle</td><td bgcolor="#D8BFD8">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Tomato</td><td bgcolor="#FF6347">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Turquoise</td><td bgcolor="#40E0D0">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Violet</td><td bgcolor="#EE82EE">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">VioletRed</td><td bgcolor="#D02090">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Wheat</td><td bgcolor="#F5DEB3">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">White</td><td bgcolor="#FFFFFF">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">WhiteSmoke</td><td bgcolor="#F5F5F5">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">Yellow</td><td bgcolor="#FFFF00">&nbsp;</td></tr>
 * <tr><td bgcolor="#FFFFFF" align="left">YellowGreen</td><td bgcolor="#9ACD32">&nbsp;</td></tr>
 * </table>
 * @author Bob Foster
 */
public class CSSColors {

	public static final RGB AliceBlue = new RGB(0xF0, 0xF8, 0xFF); //#F0F8FF   
	public static final RGB AntiqueWhite = new RGB(0xFA, 0xEB, 0xD7); //#FAEBD7   
	public static final RGB Aqua = new RGB(0x00, 0xFF, 0xFF); //#00FFFF   
	public static final RGB Aquamarine = new RGB(0x7F, 0xFF, 0xD4); //#7FFFD4   
	public static final RGB Azure = new RGB(0xF0, 0xFF, 0xFF); //#F0FFFF   
	public static final RGB Beige = new RGB(0xF5, 0xF5, 0xDC); //#F5F5DC   
	public static final RGB Bisque = new RGB(0xFF, 0xE4, 0xC4); //#FFE4C4   
	public static final RGB Black = new RGB(0x00, 0x00, 0x00); //#000000   
	public static final RGB BlanchedAlmond = new RGB(0xFF, 0xEB, 0xCD); //#FFEBCD   
	public static final RGB Blue = new RGB(0x00, 0x00, 0xFF); //#0000FF   
	public static final RGB BlueViolet = new RGB(0x8A, 0x2B, 0xE2); //#8A2BE2   
	public static final RGB Brown = new RGB(0xA5, 0x2A, 0x2A); //#A52A2A   
	public static final RGB BurlyWood = new RGB(0xDE, 0xB8, 0x87); //#DEB887   
	public static final RGB CadetBlue = new RGB(0x5F, 0x9E, 0xA0); //#5F9EA0   
	public static final RGB Chartreuse = new RGB(0x7F, 0xFF, 0x00); //#7FFF00   
	public static final RGB Chocolate = new RGB(0xD2, 0x69, 0x1E); //#D2691E   
	public static final RGB Coral = new RGB(0xFF, 0x7F, 0x50); //#FF7F50   
	public static final RGB CornflowerBlue = new RGB(0x64, 0x95, 0xED); //#6495ED   
	public static final RGB Cornsilk = new RGB(0xFF, 0xF8, 0xDC); //#FFF8DC   
	public static final RGB Crimson = new RGB(0xDC, 0x14, 0x3C); //#DC143C   
	public static final RGB Cyan = new RGB(0x00, 0xFF, 0xFF); //#00FFFF   
	public static final RGB DarkBlue = new RGB(0x00, 0x00, 0x8B); //#00008B   
	public static final RGB DarkCyan = new RGB(0x00, 0x8B, 0x8B); //#008B8B   
	public static final RGB DarkGoldenRod = new RGB(0xB8, 0x86, 0x0B); //#B8860B   
	public static final RGB DarkGray = new RGB(0xA9, 0xA9, 0xA9); //#A9A9A9   
	public static final RGB DarkGreen = new RGB(0x00, 0x64, 0x00); //#006400   
	public static final RGB DarkKhaki = new RGB(0xBD, 0xB7, 0x6B); //#BDB76B   
	public static final RGB DarkMagenta = new RGB(0x8B, 0x00, 0x8B); //#8B008B   
	public static final RGB DarkOliveGreen = new RGB(0x55, 0x6B, 0x2F); //#556B2F   
	public static final RGB Darkorange = new RGB(0xFF, 0x8C, 0x00); //#FF8C00   
	public static final RGB DarkOrchid = new RGB(0x99, 0x32, 0xCC); //#9932CC   
	public static final RGB DarkRed = new RGB(0x8B, 0x00, 0x00); //#8B0000   
	public static final RGB DarkSalmon = new RGB(0xE9, 0x96, 0x7A); //#E9967A   
	public static final RGB DarkSeaGreen = new RGB(0x8F, 0xBC, 0x8F); //#8FBC8F   
	public static final RGB DarkSlateBlue = new RGB(0x48, 0x3D, 0x8B); //#483D8B   
	public static final RGB DarkSlateGray = new RGB(0x2F, 0x4F, 0x4F); //#2F4F4F   
	public static final RGB DarkTurquoise = new RGB(0x00, 0xCE, 0xD1); //#00CED1   
	public static final RGB DarkViolet = new RGB(0x94, 0x00, 0xD3); //#9400D3   
	public static final RGB DeepPink = new RGB(0xFF, 0x14, 0x93); //#FF1493   
	public static final RGB DeepSkyBlue = new RGB(0x00, 0xBF, 0xFF); //#00BFFF   
	public static final RGB DimGray = new RGB(0x69, 0x69, 0x69); //#696969   
	public static final RGB DodgerBlue = new RGB(0x1E, 0x90, 0xFF); //#1E90FF   
	public static final RGB Feldspar = new RGB(0xD1, 0x92, 0x75); //#D19275   
	public static final RGB FireBrick = new RGB(0xB2, 0x22, 0x22); //#B22222   
	public static final RGB FloralWhite = new RGB(0xFF, 0xFA, 0xF0); //#FFFAF0   
	public static final RGB ForestGreen = new RGB(0x22, 0x8B, 0x22); //#228B22   
	public static final RGB Fuchsia = new RGB(0xFF, 0x00, 0xFF); //#FF00FF   
	public static final RGB Gainsboro = new RGB(0xDC, 0xDC, 0xDC); //#DCDCDC   
	public static final RGB GhostWhite = new RGB(0xF8, 0xF8, 0xFF); //#F8F8FF   
	public static final RGB Gold = new RGB(0xFF, 0xD7, 0x00); //#FFD700   
	public static final RGB GoldenRod = new RGB(0xDA, 0xA5, 0x20); //#DAA520   
	public static final RGB Gray = new RGB(0x80, 0x80, 0x80); //#808080   
	public static final RGB Green = new RGB(0x00, 0x80, 0x00); //#008000   
	public static final RGB GreenYellow = new RGB(0xAD, 0xFF, 0x2F); //#ADFF2F   
	public static final RGB HoneyDew = new RGB(0xF0, 0xFF, 0xF0); //#F0FFF0   
	public static final RGB HotPink = new RGB(0xFF, 0x69, 0xB4); //#FF69B4   
	public static final RGB IndianRed  = new RGB(0xCD, 0x5C, 0x5C); //#CD5C5C   
	public static final RGB Indigo  = new RGB(0x4B, 0x00, 0x82); //#4B0082   
	public static final RGB Ivory = new RGB(0xFF, 0xFF, 0xF0); //#FFFFF0   
	public static final RGB Khaki = new RGB(0xF0, 0xE6, 0x8C); //#F0E68C   
	public static final RGB Lavender = new RGB(0xE6, 0xE6, 0xFA); //#E6E6FA   
	public static final RGB LavenderBlush = new RGB(0xFF, 0xF0, 0xF5); //#FFF0F5   
	public static final RGB LawnGreen = new RGB(0x7C, 0xFC, 0x00); //#7CFC00   
	public static final RGB LemonChiffon = new RGB(0xFF, 0xFA, 0xCD); //#FFFACD   
	public static final RGB LightBlue = new RGB(0xAD, 0xD8, 0xE6); //#ADD8E6   
	public static final RGB LightCoral = new RGB(0xF0, 0x80, 0x80); //#F08080   
	public static final RGB LightCyan = new RGB(0xE0, 0xFF, 0xFF); //#E0FFFF   
	public static final RGB LightGoldenRodYellow = new RGB(0xFA, 0xFA, 0xD2); //#FAFAD2   
	public static final RGB LightGrey = new RGB(0xD3, 0xD3, 0xD3); //#D3D3D3   
	public static final RGB LightGreen = new RGB(0x90, 0xEE, 0x90); //#90EE90   
	public static final RGB LightPink = new RGB(0xFF, 0xB6, 0xC1); //#FFB6C1   
	public static final RGB LightSalmon = new RGB(0xFF, 0xA0, 0x7A); //#FFA07A   
	public static final RGB LightSeaGreen = new RGB(0x20, 0xB2, 0xAA); //#20B2AA   
	public static final RGB LightSkyBlue = new RGB(0x87, 0xCE, 0xFA); //#87CEFA   
	public static final RGB LightSlateBlue = new RGB(0x84, 0x70, 0xFF); //#8470FF   
	public static final RGB LightSlateGray = new RGB(0x77, 0x88, 0x99); //#778899   
	public static final RGB LightSteelBlue = new RGB(0xB0, 0xC4, 0xDE); //#B0C4DE   
	public static final RGB LightYellow = new RGB(0xFF, 0xFF, 0xE0); //#FFFFE0   
	public static final RGB Lime = new RGB(0x00, 0xFF, 0x00); //#00FF00   
	public static final RGB LimeGreen = new RGB(0x32, 0xCD, 0x32); //#32CD32   
	public static final RGB Linen = new RGB(0xFA, 0xF0, 0xE6); //#FAF0E6   
	public static final RGB Magenta = new RGB(0xFF, 0x00, 0xFF); //#FF00FF   
	public static final RGB Maroon = new RGB(0x80, 0x00, 0x00); //#800000   
	public static final RGB MediumAquaMarine = new RGB(0x66, 0xCD, 0xAA); //#66CDAA   
	public static final RGB MediumBlue = new RGB(0x00, 0x00, 0xCD); //#0000CD   
	public static final RGB MediumOrchid = new RGB(0xBA, 0x55, 0xD3); //#BA55D3   
	public static final RGB MediumPurple = new RGB(0x93, 0x70, 0xD8); //#9370D8   
	public static final RGB MediumSeaGreen = new RGB(0x3C, 0xB3, 0x71); //#3CB371   
	public static final RGB MediumSlateBlue = new RGB(0x7B, 0x68, 0xEE); //#7B68EE   
	public static final RGB MediumSpringGreen = new RGB(0x00, 0xFA, 0x9A); //#00FA9A   
	public static final RGB MediumTurquoise = new RGB(0x48, 0xD1, 0xCC); //#48D1CC   
	public static final RGB MediumVioletRed = new RGB(0xC7, 0x15, 0x85); //#C71585   
	public static final RGB MidnightBlue = new RGB(0x19, 0x19, 0x70); //#191970   
	public static final RGB MintCream = new RGB(0xF5, 0xFF, 0xFA); //#F5FFFA   
	public static final RGB MistyRose = new RGB(0xFF, 0xE4, 0xE1); //#FFE4E1   
	public static final RGB Moccasin = new RGB(0xFF, 0xE4, 0xB5); //#FFE4B5   
	public static final RGB NavajoWhite = new RGB(0xFF, 0xDE, 0xAD); //#FFDEAD   
	public static final RGB Navy = new RGB(0x00, 0x00, 0x80); //#000080   
	public static final RGB OldLace = new RGB(0xFD, 0xF5, 0xE6); //#FDF5E6   
	public static final RGB Olive = new RGB(0x80, 0x80, 0x00); //#808000   
	public static final RGB OliveDrab = new RGB(0x6B, 0x8E, 0x23); //#6B8E23   
	public static final RGB Orange = new RGB(0xFF, 0xA5, 0x00); //#FFA500   
	public static final RGB OrangeRed = new RGB(0xFF, 0x45, 0x00); //#FF4500   
	public static final RGB Orchid = new RGB(0xDA, 0x70, 0xD6); //#DA70D6   
	public static final RGB PaleGoldenRod = new RGB(0xEE, 0xE8, 0xAA); //#EEE8AA   
	public static final RGB PaleGreen = new RGB(0x98, 0xFB, 0x98); //#98FB98   
	public static final RGB PaleTurquoise = new RGB(0xAF, 0xEE, 0xEE); //#AFEEEE   
	public static final RGB PaleVioletRed = new RGB(0xD8, 0x70, 0x93); //#D87093   
	public static final RGB PapayaWhip = new RGB(0xFF, 0xEF, 0xD5); //#FFEFD5   
	public static final RGB PeachPuff = new RGB(0xFF, 0xDA, 0xB9); //#FFDAB9   
	public static final RGB Peru = new RGB(0xCD, 0x85, 0x3F); //#CD853F   
	public static final RGB Pink = new RGB(0xFF, 0xC0, 0xCB); //#FFC0CB   
	public static final RGB Plum = new RGB(0xDD, 0xA0, 0xDD); //#DDA0DD   
	public static final RGB PowderBlue = new RGB(0xB0, 0xE0, 0xE6); //#B0E0E6   
	public static final RGB Purple = new RGB(0x0, 0x00, 0x0); //#800080   
	public static final RGB Red = new RGB(0xFF, 0x00, 0x00); //#FF0000   
	public static final RGB RosyBrown = new RGB(0xBC, 0x8F, 0x8F); //#BC8F8F   
	public static final RGB RoyalBlue = new RGB(0x41, 0x69, 0xE1); //#4169E1   
	public static final RGB SaddleBrown = new RGB(0x8B, 0x45, 0x13); //#8B4513   
	public static final RGB Salmon = new RGB(0xFA, 0x80, 0x72); //#FA8072   
	public static final RGB SandyBrown = new RGB(0xF4, 0xA4, 0x60); //#F4A460   
	public static final RGB SeaGreen = new RGB(0x2E, 0x8B, 0x57); //#2E8B57   
	public static final RGB SeaShell = new RGB(0xFF, 0xF5, 0xEE); //#FFF5EE   
	public static final RGB Sienna = new RGB(0xA0, 0x52, 0x2D); //#A0522D   
	public static final RGB Silver = new RGB(0xC0, 0xC0, 0xC0); //#C0C0C0   
	public static final RGB SkyBlue = new RGB(0x87, 0xCE, 0xEB); //#87CEEB   
	public static final RGB SlateBlue = new RGB(0x6A, 0x5A, 0xCD); //#6A5ACD   
	public static final RGB SlateGray = new RGB(0x70, 0x80, 0x90); //#708090   
	public static final RGB Snow = new RGB(0xFF, 0xFA, 0xFA); //#FFFAFA   
	public static final RGB SpringGreen = new RGB(0x00, 0xFF, 0x7F); //#00FF7F   
	public static final RGB SteelBlue = new RGB(0x46, 0x82, 0xB4); //#4682B4   
	public static final RGB Tan = new RGB(0xD2, 0xB4, 0x8C); //#D2B48C   
	public static final RGB Teal = new RGB(0x00, 0x80, 0x80); //#008080   
	public static final RGB Thistle = new RGB(0xD8, 0xBF, 0xD8); //#D8BFD8   
	public static final RGB Tomato = new RGB(0xFF, 0x63, 0x47); //#FF6347   
	public static final RGB Turquoise = new RGB(0x40, 0xE0, 0xD0); //#40E0D0   
	public static final RGB Violet = new RGB(0xEE, 0x82, 0xEE); //#EE82EE   
	public static final RGB VioletRed = new RGB(0xD0, 0x20, 0x90); //#D02090   
	public static final RGB Wheat = new RGB(0xF5, 0xDE, 0xB3); //#F5DEB3   
	public static final RGB White = new RGB(0xFF, 0xFF, 0xFF); //#FFFFFF   
	public static final RGB WhiteSmoke = new RGB(0xF5, 0xF5, 0xF5); //#F5F5F5   
	public static final RGB Yellow = new RGB(0xFF, 0xFF, 0x00); //#FFFF00   
	public static final RGB YellowGreen = new RGB(0x9A, 0xCD, 0x32); //#9ACD32 

}
