package jmaf.core;

import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.text.NumberFormat;
import java.text.ParseException;
import java.util.Locale;
/**
 * Class used to format numbers
 * 
 * @author Micha
 *
 */
public class MessageFormatUtils {
	
	private static NumberFormat df = DecimalFormat.getInstance(Locale.ENGLISH);
	
	//private static NumberFormat dfLocal = DecimalFormat.getInstance();
	private static DecimalFormatSymbols newSymbols = new DecimalFormatSymbols();
	private static DecimalFormat format = (DecimalFormat) DecimalFormat.getInstance();
	private static boolean first = true;
	
	public static String parseDouble(Double value){
		if (first){
			setDecimalDigits(3); // PreferencesWrapper.getInstance().getDecimalDigits()
			first = false;
		}
		
		return df.format(value);
	}
	
	public static void main(String[] args) throws ParseException {
		System.out.println(getDoubleIgnoreSeparator("2.5"));
		System.out.println(getDoubleIgnoreSeparator("2,5"));
		System.out.println(getDoubleIgnoreSeparator("2.5f"));
		System.out.println(getDoubleIgnoreSeparator("2,5f"));
		
		System.out.println(getDoubleIgnoreSeparator("132.5432"));
		System.out.println(getDoubleIgnoreSeparator("432,53213"));
		System.out.println(getDoubleIgnoreSeparator("212.54435f"));
		System.out.println(getDoubleIgnoreSeparator("4232,05f"));
		
		System.out.println(getDoubleIgnoreSeparator("0"));
		System.out.println(getDoubleIgnoreSeparator("0"));
		
		System.out.println(getDoubleIgnoreSeparator("0"));
		System.out.println(getDoubleIgnoreSeparator("0,2"));
		System.out.println(getDoubleIgnoreSeparator("0.54435f"));
		System.out.println(getDoubleIgnoreSeparator(",05f"));
	}
	/**
	 * 
	 * @param doubleString String containing double 
	 * @return Double value no matter what decimal separator is used. 
	 */
	public static Double getDoubleIgnoreSeparator(String doubleString) {
		try {
			return Double.parseDouble(doubleString);
		} catch (NumberFormatException e){
			
		}
		newSymbols.setDecimalSeparator(',');
				
		format.setDecimalFormatSymbols(newSymbols);
		
		try {
			return  (Double) format.parse(doubleString);
		} catch (ParseException e) {
			CommonTools.log(e);
		} catch (ClassCastException e){
			
		}
		
		newSymbols.setDecimalSeparator('.');
		format.setDecimalFormatSymbols(newSymbols);
		try {
			return  (Double) format.parse(doubleString);
		} catch (ParseException e) {
			String msg = "Error occured while parsing '"+doubleString+"'";
			throw new RuntimeException(msg);
		}
	}

	public static void setDecimalDigits(int decimalDigits) {
		char[] chars = new char[decimalDigits];
		for (int i = 0; i < chars.length; i++){
			chars[i] = '0';
		}
		
		if (df instanceof DecimalFormat){
			((DecimalFormat)df).applyPattern("0."+new String(chars));
		}
	}
	
}
		